<template>
	<view class="navTj">
		<view class="nas">
			<navigator :url="item.href+'?icon='+item.icon" class="li" v-for="(item,index) in navList" :key="index">
				<image :src="'../../static/icon/'+item.icon+'.png'" mode=""></image>
				<text>{{item.name}}</text>
			</navigator>
		</view>
	</view>
</template>

<script>
	import {
		postRequest,
		getRequest
	} from '../../api/api.js'
	export default {
		data() {
			return {
				navList:[]
			}
		},
		onLoad(option) {
			postRequest('/sys-menu/findListByParentId',{parentId:option.parentId}).then(res=>{
				if(res.code=='200'){
					this.navList=res.data
				}
			})
		},
		methods: {
			
		}
	}
</script>

<style>
	.nas {
			padding: 0rpx 10rpx;
		}

	.nas .li {
		width: 20%;
		height: 100rpx;
		display: inline-block;
		box-sizing: border-box;
		padding: 10px;
		font-size: 12px;
		text-align: center;
	}

	.nas .li image {
		width: 58%;
		height: 100%;
		padding: 14rpx;
	}
</style>
